Get All Company Employees

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/employees

Retrieve a paginated list of all employees in your company.

Input Schema

{
    page: String,
    limit: String
}

Response Schema

{
    status: Boolean,
    message: String,
    data: {
        employees:[
          {
            id: String,
            profile: {
                firstName: String,
                middleName: String,
                lastName: String,
                pfp: String,
                title: String,
                phone: String,
                otherPhoneNumbers: String[],
                countryCode: String,
                address: String,
                country: String,
                dob: String,
                state: String,
                gender: String,
                nin: String,
                bvn: String,
                taxId: String,
                status: String,
                religion: String,
                personalEmail: String,
                lassraNo: String,
                occupation: String,
                expatriate: Boolean,
                taxOffice: String,
                email: String,
            }
        }],
        totalCount: Number
    },
    meta: {
        total: Number,
        limit: Number,
        page: Number,
        skipped: Number,
        pageCount: Number
    }
}

Body Params
int32
required

the specific page number you want to retrieve

int32
required

the maximum number of employees to be included on each page

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json